scala.tools.nsc.reporters

# AbstractReporter

#### abstract class AbstractReporter extends Reporter

This reporter implements filtering.

Source
  AbstractReporter.scala

Linear Supertypes
Reporter, reflect.internal.Reporter, AnyRef, Any
Known Subclasses
ConsoleReporter
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. AbstractReporter
2. Reporter
3. Reporter
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new AbstractReporter()

### Type Members

1. #### class Severity extends AnyRef

   Definition Classes
     Reporter

### Abstract Value Members

1. #### abstract def display(pos: Position, msg: String, severity: Severity): Unit

2. #### abstract def displayPrompt(): Unit

3. #### abstract val settings: Settings

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from AbstractReporter to any2stringadd[AbstractReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (AbstractReporter, B)

   Implicit information
     This member is added by an implicit conversion from AbstractReporter to ArrowAssoc[AbstractReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### lazy val ERROR: Severity

   Definition Classes
     Reporter → Reporter

7. #### object INFO extends Severity

   Definition Classes
     Reporter → Reporter

8. #### object WARNING extends Severity

   Definition Classes
     Reporter → Reporter

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### var cancelled: Boolean

    Definition Classes
      Reporter

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def comment(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

13. #### def count(severity: Severity): Int

    Definition Classes
      Reporter → Reporter

14. #### def echo(msg: String): Unit

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

    For sending a message which should not be labeled as a warning/error, but also shouldn't require -verbose to be visible.

    Definition Classes
      Reporter

15. #### def echo(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

16. #### def ensuring(cond: (AbstractReporter) ⇒ Boolean, msg: ⇒ Any): AbstractReporter

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (AbstractReporter) ⇒ Boolean): AbstractReporter

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): AbstractReporter

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): AbstractReporter

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to Ensuring[AbstractReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

22. #### def error(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

23. #### def errorCount: Int

    Definition Classes
      Reporter

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### def flush(): Unit

    Definition Classes
      Reporter

26. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to StringFormat[AbstractReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

27. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

28. #### def hasErrors: Boolean

    Definition Classes
      Reporter → Reporter

29. #### def hasWarnings: Boolean

    Definition Classes
      Reporter

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### final def info(pos: Position, msg: String, force: Boolean): Unit

    Informational messages.

    Informational messages. If `!force`, they may be suppressed.

    Definition Classes
      Reporter

32. #### def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit

    Attributes
      protected
    Definition Classes
      AbstractReporter → Reporter

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def reset(): Unit

    Definition Classes
      AbstractReporter → Reporter → Reporter

38. #### def resetCount(severity: Severity): Unit

    Definition Classes
      Reporter → Reporter

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

44. #### def warning(pos: Position, msg: String): Unit

    Definition Classes
      Reporter

45. #### def warningCount: Int

    Definition Classes
      Reporter

46. #### def →[B](y: B): (AbstractReporter, B)

    Implicit information
      This member is added by an implicit conversion from AbstractReporter to ArrowAssoc[AbstractReporter] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Reporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from AbstractReporter to any2stringadd[AbstractReporter]

### Inherited by implicit conversion StringFormat from AbstractReporter to StringFormat[AbstractReporter]

### Inherited by implicit conversion Ensuring from AbstractReporter to Ensuring[AbstractReporter]

### Inherited by implicit conversion ArrowAssoc from AbstractReporter to ArrowAssoc[AbstractReporter]

### Ungrouped